Groovy 1.7.10

## org.codehaus.groovy.ast
[Java] Class GenericsType

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.GenericsType

    public class GenericsType
    extends ASTNode

This class is used to describe generic type signatures for ClassNodes.

Authors:
  Jochen Theodorou

See Also:
  ClassNode

Constructor Summary
`GenericsType(ClassNode type, ClassNode[] upperBounds, ClassNode lowerBound)`
`GenericsType(ClassNode basicType)`

Method Summary
`ClassNode` | `getLowerBound()`
`String` | `getName()`
`ClassNode` | `getType()`
`ClassNode[]` | `getUpperBounds()`
`boolean` | `isPlaceholder()`
`boolean` | `isResolved()`
`boolean` | `isWildcard()`
`void` | `setName(String name)`
`void` | `setPlaceholder(boolean placeholder)`
`void` | `setResolved(boolean res)`
`void` | `setType(ClassNode type)`
`void` | `setWildcard(boolean wildcard)`
`String` | `toString()`

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GenericsType

    public GenericsType(ClassNode type, ClassNode[] upperBounds, ClassNode lowerBound)

### GenericsType

    public GenericsType(ClassNode basicType)

Method Detail

### getLowerBound

    public ClassNode getLowerBound()

### getName

    public String getName()

### getType

    public ClassNode getType()

### getUpperBounds

    public ClassNode[] getUpperBounds()

### isPlaceholder

    public boolean isPlaceholder()

### isResolved

    public boolean isResolved()

### isWildcard

    public boolean isWildcard()

### setName

    public void setName(String name)

### setPlaceholder

    public void setPlaceholder(boolean placeholder)

### setResolved

    public void setResolved(boolean res)

### setType

    public void setType(ClassNode type)

### setWildcard

    public void setWildcard(boolean wildcard)

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.